#include <bits/stdc++.h>
using namespace std;
int main(){
int N,M;
cin>>N>>M;
int mini[N];
int maksi[N];
int minj[M];
int maksj[M];
int mat[N][M];
int brk=0;
int brp=0;
for(int i=1;i<=N;i++){
    cin>>mini[i];
    cin>>maksi[i];
}
for(int j=1;j<=M;j++){
    cin>>minj[j];
    cin>>maksj[j];
}
for(int i=1;i<=N;i++){
    for(int j=1;j<=M;j++){
        mat[i][j]=min(maksi[i],maksj[j]);
        maksi[i]-=min(maksi[i],maksj[j]);
        brk+=mat[i][j];
        if(mat[i][j]!=0)
            brp+=1;
    }
}
cout<<brk<<endl;
cout<<brp<<endl;
for(int i=1;i<=N;i++){
    for(int j=1;j<=M;j++){
        if(mat[i][j]!=0)
            cout<<i<<" "<<j<<" "<<mat[i][j]<<endl;
    }
}
return 0;
}